2.50/2.51b1 still no iOS app create

Found an issue in SpiderBasic ? Please report it here !
hoerbie
Posts: 100
Joined: Sun Mar 17, 2019 5:51 pm
Location: DE/BY/MUC

2.50/2.51b1 still no iOS app create

Post by hoerbie »

Hi Fred,
you fixed the original crash viewtopic.php?p=9320, but I still can't compile for iOS, now SB 2.50 tells me on "Create App" for iOS after seeing the includes of my own files and a short creating on my Intel MBP as error:

Code: Select all

SpiderBasic - 
Using cordova-fetch for cordova-ios
And on my Intel iMac I now see:

Code: Select all

SpiderBasic
Cordova needs to be installed to create iOS app. Please consult the SpiderBasic documentation for more information.
Xcode 14.3.1 is installed, and Cordova is still installed from older SB, but maybe not the right version?
I'm sorry, but the "Check Xcode and Cordova setup" button simply shows me after the question if I want to launch the check and click on Yes:

Code: Select all

„install-cordova.sh“ kann nicht geöffnet werden, weil (null) nicht erlaubt ist, Dokumente in Terminal zu öffnen.
Any ideas? Should I call the install-cordova.sh directly from shell or with sudo?
Last edited by hoerbie on Thu Oct 12, 2023 6:23 pm, edited 1 time in total.
Fred
Site Admin
Posts: 1510
Joined: Mon Feb 24, 2014 10:51 am

Re: 2.50 still no iOS app create

Post by Fred »

Yes, you can try with sudo, and see if it updates it properly
hoerbie
Posts: 100
Joined: Sun Mar 17, 2019 5:51 pm
Location: DE/BY/MUC

Re: 2.50 still no iOS app create

Post by hoerbie »

I've got some steps further:

On my MBP there was a problem with cordova-ios and two different node_modules directories. Solved it by removing some dirs including .npm cache and installing cordova and cordova-ios new, and running again the install-cordova.sh directly from SB.

On the iMac I ran the install-cordova.sh from terminal without sudo, as it can't be started directly from SB, it asked for my password itself and loaded/updated something.

Now both Macs give the same results:
-with a smaller app create runs through, but the .ipa file is not saved where it should be, although SB tells "Export successful (xxxx.ipa)"
-with my main app create stops after

Code: Select all

Installing "cordova-plugin-whitelist" for ios
Running hook: /private/tmp/spiderbasic-123456789/app/pat....
with the dialog

Code: Select all

SpiderBasic
Cordova needs to be installed to create iOS app. Please consult the SpiderBasic documentation for more information.
this running hook I don't see at the other app.

So still no iOS app.
Fred
Site Admin
Posts: 1510
Joined: Mon Feb 24, 2014 10:51 am

Re: 2.50 still no iOS app create

Post by Fred »

I couldn't replicate your issue here, but I removed some old plugins which are deprecated and the hook file which doesn't seem to be needed anymore. Could you give it a try with the new beta ?
hoerbie
Posts: 100
Joined: Sun Mar 17, 2019 5:51 pm
Location: DE/BY/MUC

Re: 2.50 still no iOS app create

Post by hoerbie »

Sorry Fred, still not working with 2.51 Beta 1, on my Intel-MBP with now macOS Ventura 13.6 and Xcode 15.0. And I made sure, that Xcode itself compiles for iOS.

The last lines ob SB before the error message are now:

Code: Select all

Adding cordova-plugin-nativeaudio to package.json
Running hook: /private/tmp/spiderbasic-1234567890/app/pat...
And then the message

Code: Select all

SpiderBasic
Cordova needs to be installed to create iOS app. Please consult the SpiderBasic documentation for more information.
But the setup check script runs without error message.
User avatar
Torf
Posts: 7
Joined: Thu Apr 27, 2023 9:20 pm

Re: 2.50/2.51b1 still no iOS app create

Post by Torf »

hoerbie wrote: Mon Jun 12, 2023 2:23 pm Hi Fred,
you fixed the original crash viewtopic.php?p=9320, but I still can't compile for iOS, now SB 2.50 tells me on "Create App" for iOS after seeing the includes of my own files and a short creating on my Intel MBP as error:

Code: Select all

SpiderBasic - 
Using cordova-fetch for cordova-ios
And on my Intel iMac I now see:

Code: Select all

SpiderBasic
Cordova needs to be installed to create iOS app. Please consult the SpiderBasic documentation for more information.
Xcode 14.3.1 is installed, and Cordova is still installed from older SB, but maybe not the right version?
I'm sorry, but the "Check Xcode and Cordova setup" button simply shows me after the question if I want to launch the check and click on Yes:

Code: Select all

„install-cordova.sh“ kann nicht geöffnet werden, weil (null) nicht erlaubt ist, Dokumente in Terminal zu öffnen.
Any ideas? Should I call the install-cordova.sh directly from shell or with sudo?
Hi,

I have the same problem, I get error:

SpiderBasic -
Using cordova-fetch for cordova-ios

and SpiderBasic stops.

I tried to visit the link viewtopic.php?p=9320 but I can not, I get the message 'You are not authorised to read this forum.' Was it moved or deleted?

With previous version of SP, I get an error of Java, with versions 2.50 and 2.51 I get this error. It's a pity, I can build apps for Android and Web, but never for iOS.

Thanks.
User avatar
Torf
Posts: 7
Joined: Thu Apr 27, 2023 9:20 pm

Re: 2.50/2.51b1 still no iOS app create

Post by Torf »

Somebody can build, at the moment, an iOS app successfully?
Joshua
Posts: 8
Joined: Mon Apr 18, 2022 12:17 am

Re: 2.50/2.51b1 still no iOS app create

Post by Joshua »

Torf wrote: Fri Oct 20, 2023 9:52 pm Somebody can build, at the moment, an iOS app successfully?
I can't compile for iOS either, for Android yes, for iOS no.
Post Reply